
From: Rusty Russell <rusty@rustcorp.com.au>

From:  Stewart Smith <stewart@linux.org.au>

A better explanation of the X86_GENERIC config option follows.


---

 25-akpm/arch/i386/Kconfig |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

diff -puN arch/i386/Kconfig~CONFIG_X86_GENERIC-help-fix arch/i386/Kconfig
--- 25/arch/i386/Kconfig~CONFIG_X86_GENERIC-help-fix	2004-04-03 03:00:01.979930560 -0800
+++ 25-akpm/arch/i386/Kconfig	2004-04-03 03:00:01.983929952 -0800
@@ -322,9 +322,13 @@ endchoice
 config X86_GENERIC
        bool "Generic x86 support" 
        help
-       	  Including some tuning for non selected x86 CPUs too.
-	  when it has moderate overhead. This is intended for generic 
-	  distributions kernels.
+	  Instead of just including optimizations for the selected
+	  x86 variant (e.g. PII, Crusoe or Athlon), include some more
+	  generic optimizations as well. This will make the kernel
+	  perform better on x86 CPUs other than that selected.
+
+	  This is really intended for distributors who need more
+	  generic optimizations.
 
 endif
 

_
